API reference

Matrix operation catalog

157 Matrix HTTP operations with parameters and agent access classifications.

This catalog is generated from Matrix v1.12. The input SHA-256 is 037337015f765c9d96a0561888ea15c870d34ea327dac94bab6884e33a0b30cd. crossfire calls these endpoints over HTTP. Availability depends on the homeserver.

Only operations allowed by the agent dispatcher can be used by an agent. Each call also requires crossfire permission and Matrix membership and powers. The catalog includes restricted and unsupported operations so their status is visible.

JSON body and response fields are defined in the Matrix Client-Server specification . These endpoints return Matrix responses, not crossfire REST envelopes.

add3-pid#

POST /_matrix/client/v3/account/3pid/add

Native operation: add3PID. Access: unsupported. Body: required. Response: json.

ban#

POST /_matrix/client/v3/rooms/{roomId}/ban

Native operation: ban. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

bind3-pid#

POST /_matrix/client/v3/account/3pid/bind

Native operation: bind3PID. Access: unsupported. Body: required. Response: json.

change-password#

POST /_matrix/client/v3/account/password

Native operation: changePassword. Access: account. Body: required. Response: json.

check-username-availability#

GET /_matrix/client/v3/register/available

Native operation: checkUsernameAvailability. Access: account. Body: none. Response: json.

ParameterLocationRequiredType
usernamequeryyesstring

claim-keys#

POST /_matrix/client/v3/keys/claim

Native operation: claimKeys. Access: unsupported. Body: required. Response: json.

create-content#

POST /_matrix/media/v1/create

Native operation: createContent. Access: agent. Body: none. Response: json.

create-room#

POST /_matrix/client/v3/createRoom

Native operation: createRoom. Access: operator. Body: required. Response: json.

deactivate-account#

POST /_matrix/client/v3/account/deactivate

Native operation: deactivateAccount. Access: account. Body: required. Response: json.

define-filter#

POST /_matrix/client/v3/user/{userId}/filter

Native operation: defineFilter. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

delete-device#

DELETE /_matrix/client/v3/devices/{deviceId}

Native operation: deleteDevice. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
deviceIdpathyesstring

delete-devices#

POST /_matrix/client/v3/delete_devices

Native operation: deleteDevices. Access: operator. Body: required. Response: json.

delete-push-rule#

DELETE /_matrix/client/v3/pushrules/global/{kind}/{ruleId}

Native operation: deletePushRule. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
kindpathyesstring
ruleIdpathyesstring

delete-room-alias#

DELETE /_matrix/client/v3/directory/room/{roomAlias}

Native operation: deleteRoomAlias. Access: operator. Body: none. Response: json.

ParameterLocationRequiredType
roomAliaspathyesstring

delete-room-key-by-session-id#

DELETE /_matrix/client/v3/room_keys/keys/{roomId}/{sessionId}

Native operation: deleteRoomKeyBySessionId. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
versionqueryyesstring
roomIdpathyesstring
sessionIdpathyesstring

delete-room-keys#

DELETE /_matrix/client/v3/room_keys/keys

Native operation: deleteRoomKeys. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
versionqueryyesstring

delete-room-keys-by-room-id#

DELETE /_matrix/client/v3/room_keys/keys/{roomId}

Native operation: deleteRoomKeysByRoomId. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
versionqueryyesstring
roomIdpathyesstring

delete-room-keys-version#

DELETE /_matrix/client/v3/room_keys/version/{version}

Native operation: deleteRoomKeysVersion. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
versionpathyesstring

delete-room-tag#

DELETE /_matrix/client/v3/user/{userId}/rooms/{roomId}/tags/{tag}

Native operation: deleteRoomTag. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring
roomIdpathyesstring
tagpathyesstring

delete3pid-from-account#

POST /_matrix/client/v3/account/3pid/delete

Native operation: delete3pidFromAccount. Access: unsupported. Body: required. Response: json.

forget-room#

POST /_matrix/client/v3/rooms/{roomId}/forget

Native operation: forgetRoom. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

generate-login-token#

POST /_matrix/client/v1/login/get_token

Native operation: generateLoginToken. Access: account. Body: required. Response: json.

get-account-data#

GET /_matrix/client/v3/user/{userId}/account_data/{type}

Native operation: getAccountData. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring
typepathyesstring

get-account-data-per-room#

GET /_matrix/client/v3/user/{userId}/rooms/{roomId}/account_data/{type}

Native operation: getAccountDataPerRoom. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring
roomIdpathyesstring
typepathyesstring

get-account3-pids#

GET /_matrix/client/v3/account/3pid

Native operation: getAccount3PIDs. Access: unsupported. Body: none. Response: json.

get-avatar-url#

GET /_matrix/client/v3/profile/{userId}/avatar_url

Native operation: getAvatarUrl. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

get-capabilities#

GET /_matrix/client/v3/capabilities

Native operation: getCapabilities. Access: agent. Body: none. Response: json.

get-config#

GET /_matrix/media/v3/config

Native operation: getConfig. Access: deprecated. Body: none. Response: json.

get-config-authed#

GET /_matrix/client/v1/media/config

Native operation: getConfigAuthed. Access: agent. Body: none. Response: json.

get-content#

GET /_matrix/media/v3/download/{serverName}/{mediaId}

Native operation: getContent. Access: deprecated. Body: none. Response: binary.

ParameterLocationRequiredType
serverNamepathyesstring
mediaIdpathyesstring
allow_remotequerynoboolean
timeout_msquerynointeger
allow_redirectquerynoboolean

get-content-authed#

GET /_matrix/client/v1/media/download/{serverName}/{mediaId}

Native operation: getContentAuthed. Access: agent. Body: none. Response: binary.

ParameterLocationRequiredType
serverNamepathyesstring
mediaIdpathyesstring
timeout_msquerynointeger

get-content-override-name#

GET /_matrix/media/v3/download/{serverName}/{mediaId}/{fileName}

Native operation: getContentOverrideName. Access: deprecated. Body: none. Response: binary.

ParameterLocationRequiredType
serverNamepathyesstring
mediaIdpathyesstring
fileNamepathyesstring
allow_remotequerynoboolean
timeout_msquerynointeger
allow_redirectquerynoboolean

get-content-override-name-authed#

GET /_matrix/client/v1/media/download/{serverName}/{mediaId}/{fileName}

Native operation: getContentOverrideNameAuthed. Access: agent. Body: none. Response: binary.

ParameterLocationRequiredType
serverNamepathyesstring
mediaIdpathyesstring
fileNamepathyesstring
timeout_msquerynointeger

get-content-thumbnail#

GET /_matrix/media/v3/thumbnail/{serverName}/{mediaId}

Native operation: getContentThumbnail. Access: deprecated. Body: none. Response: binary.

ParameterLocationRequiredType
serverNamepathyesstring
mediaIdpathyesstring
widthqueryyesinteger
heightqueryyesinteger
methodquerynostring
allow_remotequerynoboolean
timeout_msquerynointeger
allow_redirectquerynoboolean
animatedquerynoboolean

get-content-thumbnail-authed#

GET /_matrix/client/v1/media/thumbnail/{serverName}/{mediaId}

Native operation: getContentThumbnailAuthed. Access: agent. Body: none. Response: binary.

ParameterLocationRequiredType
serverNamepathyesstring
mediaIdpathyesstring
widthqueryyesinteger
heightqueryyesinteger
methodquerynostring
timeout_msquerynointeger
animatedquerynoboolean

get-device#

GET /_matrix/client/v3/devices/{deviceId}

Native operation: getDevice. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
deviceIdpathyesstring

get-devices#

GET /_matrix/client/v3/devices

Native operation: getDevices. Access: agent. Body: none. Response: json.

get-display-name#

GET /_matrix/client/v3/profile/{userId}/displayname

Native operation: getDisplayName. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

get-event-by-timestamp#

GET /_matrix/client/v1/rooms/{roomId}/timestamp_to_event

Native operation: getEventByTimestamp. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
tsqueryyesinteger
dirqueryyesstring

get-event-context#

GET /_matrix/client/v3/rooms/{roomId}/context/{eventId}

Native operation: getEventContext. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventIdpathyesstring
limitquerynointeger
filterquerynostring

get-events#

GET /_matrix/client/v3/events

Native operation: getEvents. Access: deprecated. Body: none. Response: json.

ParameterLocationRequiredType
fromquerynostring
timeoutquerynointeger

get-filter#

GET /_matrix/client/v3/user/{userId}/filter/{filterId}

Native operation: getFilter. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring
filterIdpathyesstring

get-joined-members-by-room#

GET /_matrix/client/v3/rooms/{roomId}/joined_members

Native operation: getJoinedMembersByRoom. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

get-joined-rooms#

GET /_matrix/client/v3/joined_rooms

Native operation: getJoinedRooms. Access: agent. Body: none. Response: json.

get-keys-changes#

GET /_matrix/client/v3/keys/changes

Native operation: getKeysChanges. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
fromqueryyesstring
toqueryyesstring

get-local-aliases#

GET /_matrix/client/v3/rooms/{roomId}/aliases

Native operation: getLocalAliases. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

get-login-flows#

GET /_matrix/client/v3/login

Native operation: getLoginFlows. Access: account. Body: none. Response: json.

get-members-by-room#

GET /_matrix/client/v3/rooms/{roomId}/members

Native operation: getMembersByRoom. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
atquerynostring
membershipquerynostring
not_membershipquerynostring

get-notifications#

GET /_matrix/client/v3/notifications

Native operation: getNotifications. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
fromquerynostring
limitquerynointeger
onlyquerynostring

get-one-event#

GET /_matrix/client/v3/events/{eventId}

Native operation: getOneEvent. Access: deprecated. Body: none. Response: json.

ParameterLocationRequiredType
eventIdpathyesstring

get-one-room-event#

GET /_matrix/client/v3/rooms/{roomId}/event/{eventId}

Native operation: getOneRoomEvent. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventIdpathyesstring

get-presence#

GET /_matrix/client/v3/presence/{userId}/status

Native operation: getPresence. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

get-protocol-metadata#

GET /_matrix/client/v3/thirdparty/protocol/{protocol}

Native operation: getProtocolMetadata. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
protocolpathyesstring

get-protocols#

GET /_matrix/client/v3/thirdparty/protocols

Native operation: getProtocols. Access: unsupported. Body: none. Response: json.

get-public-rooms#

GET /_matrix/client/v3/publicRooms

Native operation: getPublicRooms. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
limitquerynointeger
sincequerynostring
serverquerynostring

get-push-rule#

GET /_matrix/client/v3/pushrules/global/{kind}/{ruleId}

Native operation: getPushRule. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
kindpathyesstring
ruleIdpathyesstring

get-push-rule-actions#

GET /_matrix/client/v3/pushrules/global/{kind}/{ruleId}/actions

Native operation: getPushRuleActions. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
kindpathyesstring
ruleIdpathyesstring

get-push-rules#

GET /_matrix/client/v3/pushrules/

Native operation: getPushRules. Access: agent. Body: none. Response: json.

get-push-rules-global#

GET /_matrix/client/v3/pushrules/global/

Native operation: getPushRulesGlobal. Access: agent. Body: none. Response: json.

get-pushers#

GET /_matrix/client/v3/pushers

Native operation: getPushers. Access: agent. Body: none. Response: json.

get-relating-events#

GET /_matrix/client/v1/rooms/{roomId}/relations/{eventId}

Native operation: getRelatingEvents. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventIdpathyesstring
fromquerynostring
toquerynostring
limitquerynointeger
dirquerynostring
recursequerynoboolean

get-relating-events-with-rel-type#

GET /_matrix/client/v1/rooms/{roomId}/relations/{eventId}/{relType}

Native operation: getRelatingEventsWithRelType. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventIdpathyesstring
relTypepathyesstring
fromquerynostring
toquerynostring
limitquerynointeger
dirquerynostring
recursequerynoboolean

get-relating-events-with-rel-type-and-event-type#

GET /_matrix/client/v1/rooms/{roomId}/relations/{eventId}/{relType}/{eventType}

Native operation: getRelatingEventsWithRelTypeAndEventType. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventIdpathyesstring
relTypepathyesstring
eventTypepathyesstring
fromquerynostring
toquerynostring
limitquerynointeger
dirquerynostring
recursequerynoboolean

get-room-events#

GET /_matrix/client/v3/rooms/{roomId}/messages

Native operation: getRoomEvents. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
fromquerynostring
toquerynostring
dirqueryyesstring
limitquerynointeger
filterquerynostring

get-room-id-by-alias#

GET /_matrix/client/v3/directory/room/{roomAlias}

Native operation: getRoomIdByAlias. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomAliaspathyesstring

get-room-key-by-session-id#

GET /_matrix/client/v3/room_keys/keys/{roomId}/{sessionId}

Native operation: getRoomKeyBySessionId. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
versionqueryyesstring
roomIdpathyesstring
sessionIdpathyesstring

get-room-keys#

GET /_matrix/client/v3/room_keys/keys

Native operation: getRoomKeys. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
versionqueryyesstring

get-room-keys-by-room-id#

GET /_matrix/client/v3/room_keys/keys/{roomId}

Native operation: getRoomKeysByRoomId. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
versionqueryyesstring
roomIdpathyesstring

get-room-keys-version#

GET /_matrix/client/v3/room_keys/version/{version}

Native operation: getRoomKeysVersion. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
versionpathyesstring

get-room-keys-version-current#

GET /_matrix/client/v3/room_keys/version

Native operation: getRoomKeysVersionCurrent. Access: unsupported. Body: none. Response: json.

get-room-state#

GET /_matrix/client/v3/rooms/{roomId}/state

Native operation: getRoomState. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

get-room-state-with-key#

GET /_matrix/client/v3/rooms/{roomId}/state/{eventType}/{stateKey}

Native operation: getRoomStateWithKey. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventTypepathyesstring
stateKeypathyesstring

get-room-tags#

GET /_matrix/client/v3/user/{userId}/rooms/{roomId}/tags

Native operation: getRoomTags. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring
roomIdpathyesstring

get-room-visibility-on-directory#

GET /_matrix/client/v3/directory/list/room/{roomId}

Native operation: getRoomVisibilityOnDirectory. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

get-space-hierarchy#

GET /_matrix/client/v1/rooms/{roomId}/hierarchy

Native operation: getSpaceHierarchy. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
suggested_onlyquerynoboolean
limitquerynointeger
max_depthquerynointeger
fromquerynostring

get-thread-roots#

GET /_matrix/client/v1/rooms/{roomId}/threads

Native operation: getThreadRoots. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
includequerynostring
limitquerynointeger
fromquerynostring

get-token-owner#

GET /_matrix/client/v3/account/whoami

Native operation: getTokenOwner. Access: agent. Body: none. Response: json.

get-turn-server#

GET /_matrix/client/v3/voip/turnServer

Native operation: getTurnServer. Access: unsupported. Body: none. Response: json.

get-url-preview#

GET /_matrix/media/v3/preview_url

Native operation: getUrlPreview. Access: deprecated. Body: none. Response: json.

ParameterLocationRequiredType
urlqueryyesstring
tsquerynointeger

get-url-preview-authed#

GET /_matrix/client/v1/media/preview_url

Native operation: getUrlPreviewAuthed. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
urlqueryyesstring
tsquerynointeger

get-user-profile#

GET /_matrix/client/v3/profile/{userId}

Native operation: getUserProfile. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

get-versions#

GET /_matrix/client/versions

Native operation: getVersions. Access: agent. Body: none. Response: json.

get-wellknown#

GET /.well-known/matrix/client

Native operation: getWellknown. Access: agent. Body: none. Response: json.

get-wellknown-support#

GET /.well-known/matrix/support

Native operation: getWellknownSupport. Access: agent. Body: none. Response: json.

get-who-is#

GET /_matrix/client/v3/admin/whois/{userId}

Native operation: getWhoIs. Access: operator. Body: none. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

initial-sync#

GET /_matrix/client/v3/initialSync

Native operation: initialSync. Access: deprecated. Body: none. Response: json.

ParameterLocationRequiredType
limitquerynointeger
archivedquerynoboolean

invite-by3-pid#

POST /_matrix/client/v3/rooms/{roomId}/invite

Native operation: inviteBy3PID. Access: unsupported. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

invite-user#

POST /_matrix/client/v3/rooms/{roomId}/invite

Native operation: inviteUser. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

is-push-rule-enabled#

GET /_matrix/client/v3/pushrules/global/{kind}/{ruleId}/enabled

Native operation: isPushRuleEnabled. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
kindpathyesstring
ruleIdpathyesstring

join-room#

POST /_matrix/client/v3/join/{roomIdOrAlias}

Native operation: joinRoom. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
roomIdOrAliaspathyesstring
viaquerynoarray

join-room-by-id#

POST /_matrix/client/v3/rooms/{roomId}/join

Native operation: joinRoomById. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

kick#

POST /_matrix/client/v3/rooms/{roomId}/kick

Native operation: kick. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

knock-room#

POST /_matrix/client/v3/knock/{roomIdOrAlias}

Native operation: knockRoom. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
roomIdOrAliaspathyesstring
viaquerynoarray

leave-room#

POST /_matrix/client/v3/rooms/{roomId}/leave

Native operation: leaveRoom. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

login#

POST /_matrix/client/v3/login

Native operation: login. Access: account. Body: required. Response: json.

logout#

POST /_matrix/client/v3/logout

Native operation: logout. Access: account. Body: none. Response: json.

logout-all#

POST /_matrix/client/v3/logout/all

Native operation: logout_all. Access: account. Body: none. Response: json.

peek-events#

GET /_matrix/client/v3/events

Native operation: peekEvents. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
fromquerynostring
timeoutquerynointeger
room_idquerynostring

ping-appservice#

POST /_matrix/client/v1/appservice/{appserviceId}/ping

Native operation: pingAppservice. Access: unsupported. Body: required. Response: json.

ParameterLocationRequiredType
appserviceIdpathyesstring

post-pusher#

POST /_matrix/client/v3/pushers/set

Native operation: postPusher. Access: operator. Body: required. Response: json.

post-receipt#

POST /_matrix/client/v3/rooms/{roomId}/receipt/{receiptType}/{eventId}

Native operation: postReceipt. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
receiptTypepathyesstring
eventIdpathyesstring

post-room-keys-version#

POST /_matrix/client/v3/room_keys/version

Native operation: postRoomKeysVersion. Access: unsupported. Body: required. Response: json.

post3-pids#

POST /_matrix/client/v3/account/3pid

Native operation: post3PIDs. Access: deprecated. Body: required. Response: json.

put-room-key-by-session-id#

PUT /_matrix/client/v3/room_keys/keys/{roomId}/{sessionId}

Native operation: putRoomKeyBySessionId. Access: unsupported. Body: required. Response: json.

ParameterLocationRequiredType
versionqueryyesstring
roomIdpathyesstring
sessionIdpathyesstring

put-room-keys#

PUT /_matrix/client/v3/room_keys/keys

Native operation: putRoomKeys. Access: unsupported. Body: required. Response: json.

ParameterLocationRequiredType
versionqueryyesstring

put-room-keys-by-room-id#

PUT /_matrix/client/v3/room_keys/keys/{roomId}

Native operation: putRoomKeysByRoomId. Access: unsupported. Body: required. Response: json.

ParameterLocationRequiredType
versionqueryyesstring
roomIdpathyesstring

put-room-keys-version#

PUT /_matrix/client/v3/room_keys/version/{version}

Native operation: putRoomKeysVersion. Access: unsupported. Body: required. Response: json.

ParameterLocationRequiredType
versionpathyesstring

query-keys#

POST /_matrix/client/v3/keys/query

Native operation: queryKeys. Access: unsupported. Body: required. Response: json.

query-location-by-alias#

GET /_matrix/client/v3/thirdparty/location

Native operation: queryLocationByAlias. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
aliasqueryyesstring

query-location-by-protocol#

GET /_matrix/client/v3/thirdparty/location/{protocol}

Native operation: queryLocationByProtocol. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
protocolpathyesstring
searchFieldsquerynostring

query-public-rooms#

POST /_matrix/client/v3/publicRooms

Native operation: queryPublicRooms. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
serverquerynostring

query-user-by-id#

GET /_matrix/client/v3/thirdparty/user

Native operation: queryUserByID. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
useridqueryyesstring

query-user-by-protocol#

GET /_matrix/client/v3/thirdparty/user/{protocol}

Native operation: queryUserByProtocol. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
protocolpathyesstring
fieldsquerynoobject

redact-event#

PUT /_matrix/client/v3/rooms/{roomId}/redact/{eventId}/{txnId}

Native operation: redactEvent. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventIdpathyesstring
txnIdpathyesstring

redirect-to-id-p#

GET /_matrix/client/v3/login/sso/redirect/{idpId}

Native operation: redirectToIdP. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
idpIdpathyesstring
redirectUrlqueryyesstring

redirect-to-sso#

GET /_matrix/client/v3/login/sso/redirect

Native operation: redirectToSSO. Access: unsupported. Body: none. Response: json.

ParameterLocationRequiredType
redirectUrlqueryyesstring

refresh#

POST /_matrix/client/v3/refresh

Native operation: refresh. Access: account. Body: required. Response: json.

register#

POST /_matrix/client/v3/register

Native operation: register. Access: account. Body: required. Response: json.

ParameterLocationRequiredType
kindquerynostring

registration-token-validity#

GET /_matrix/client/v1/register/m.login.registration_token/validity

Native operation: registrationTokenValidity. Access: account. Body: none. Response: json.

ParameterLocationRequiredType
tokenqueryyesstring

report-content#

POST /_matrix/client/v3/rooms/{roomId}/report/{eventId}

Native operation: reportContent. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventIdpathyesstring

request-open-id-token#

POST /_matrix/client/v3/user/{userId}/openid/request_token

Native operation: requestOpenIdToken. Access: unsupported. Body: required. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

request-token-to-register-email#

POST /_matrix/client/v3/register/email/requestToken

Native operation: requestTokenToRegisterEmail. Access: account. Body: required. Response: json.

request-token-to-register-msisdn#

POST /_matrix/client/v3/register/msisdn/requestToken

Native operation: requestTokenToRegisterMSISDN. Access: account. Body: required. Response: json.

request-token-to-reset-password-email#

POST /_matrix/client/v3/account/password/email/requestToken

Native operation: requestTokenToResetPasswordEmail. Access: account. Body: required. Response: json.

request-token-to-reset-password-msisdn#

POST /_matrix/client/v3/account/password/msisdn/requestToken

Native operation: requestTokenToResetPasswordMSISDN. Access: account. Body: required. Response: json.

request-token-to3-pid-email#

POST /_matrix/client/v3/account/3pid/email/requestToken

Native operation: requestTokenTo3PIDEmail. Access: unsupported. Body: required. Response: json.

request-token-to3-pidmsisdn#

POST /_matrix/client/v3/account/3pid/msisdn/requestToken

Native operation: requestTokenTo3PIDMSISDN. Access: unsupported. Body: required. Response: json.

room-initial-sync#

GET /_matrix/client/v3/rooms/{roomId}/initialSync

Native operation: roomInitialSync. Access: deprecated. Body: none. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

POST /_matrix/client/v3/search

Native operation: search. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
next_batchquerynostring

search-user-directory#

POST /_matrix/client/v3/user_directory/search

Native operation: searchUserDirectory. Access: agent. Body: required. Response: json.

send-message#

PUT /_matrix/client/v3/rooms/{roomId}/send/{eventType}/{txnId}

Native operation: sendMessage. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventTypepathyesstring
txnIdpathyesstring

send-to-device#

PUT /_matrix/client/v3/sendToDevice/{eventType}/{txnId}

Native operation: sendToDevice. Access: unsupported. Body: required. Response: json.

ParameterLocationRequiredType
eventTypepathyesstring
txnIdpathyesstring

set-account-data#

PUT /_matrix/client/v3/user/{userId}/account_data/{type}

Native operation: setAccountData. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
userIdpathyesstring
typepathyesstring

set-account-data-per-room#

PUT /_matrix/client/v3/user/{userId}/rooms/{roomId}/account_data/{type}

Native operation: setAccountDataPerRoom. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
userIdpathyesstring
roomIdpathyesstring
typepathyesstring

set-avatar-url#

PUT /_matrix/client/v3/profile/{userId}/avatar_url

Native operation: setAvatarUrl. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

set-display-name#

PUT /_matrix/client/v3/profile/{userId}/displayname

Native operation: setDisplayName. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

set-presence#

PUT /_matrix/client/v3/presence/{userId}/status

Native operation: setPresence. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
userIdpathyesstring

set-push-rule#

PUT /_matrix/client/v3/pushrules/global/{kind}/{ruleId}

Native operation: setPushRule. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
kindpathyesstring
ruleIdpathyesstring
beforequerynostring
afterquerynostring

set-push-rule-actions#

PUT /_matrix/client/v3/pushrules/global/{kind}/{ruleId}/actions

Native operation: setPushRuleActions. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
kindpathyesstring
ruleIdpathyesstring

set-push-rule-enabled#

PUT /_matrix/client/v3/pushrules/global/{kind}/{ruleId}/enabled

Native operation: setPushRuleEnabled. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
kindpathyesstring
ruleIdpathyesstring

set-read-marker#

POST /_matrix/client/v3/rooms/{roomId}/read_markers

Native operation: setReadMarker. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

set-room-alias#

PUT /_matrix/client/v3/directory/room/{roomAlias}

Native operation: setRoomAlias. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
roomAliaspathyesstring

set-room-state-with-key#

PUT /_matrix/client/v3/rooms/{roomId}/state/{eventType}/{stateKey}

Native operation: setRoomStateWithKey. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring
eventTypepathyesstring
stateKeypathyesstring

set-room-tag#

PUT /_matrix/client/v3/user/{userId}/rooms/{roomId}/tags/{tag}

Native operation: setRoomTag. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
userIdpathyesstring
roomIdpathyesstring
tagpathyesstring

set-room-visibility-on-directory#

PUT /_matrix/client/v3/directory/list/room/{roomId}

Native operation: setRoomVisibilityOnDirectory. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

set-typing#

PUT /_matrix/client/v3/rooms/{roomId}/typing/{userId}

Native operation: setTyping. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
userIdpathyesstring
roomIdpathyesstring

sync#

GET /_matrix/client/v3/sync

Native operation: sync. Access: agent. Body: none. Response: json.

ParameterLocationRequiredType
filterquerynostring
sincequerynostring
full_statequerynoboolean
set_presencequerynostring
timeoutquerynointeger

unban#

POST /_matrix/client/v3/rooms/{roomId}/unban

Native operation: unban. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

unbind3pid-from-account#

POST /_matrix/client/v3/account/3pid/unbind

Native operation: unbind3pidFromAccount. Access: unsupported. Body: required. Response: json.

update-appservice-room-directory-visibility#

PUT /_matrix/client/v3/directory/list/appservice/{networkId}/{roomId}

Native operation: updateAppserviceRoomDirectoryVisibility. Access: unsupported. Body: required. Response: json.

ParameterLocationRequiredType
networkIdpathyesstring
roomIdpathyesstring

update-device#

PUT /_matrix/client/v3/devices/{deviceId}

Native operation: updateDevice. Access: agent. Body: required. Response: json.

ParameterLocationRequiredType
deviceIdpathyesstring

upgrade-room#

POST /_matrix/client/v3/rooms/{roomId}/upgrade

Native operation: upgradeRoom. Access: operator. Body: required. Response: json.

ParameterLocationRequiredType
roomIdpathyesstring

upload-content#

POST /_matrix/media/v3/upload

Native operation: uploadContent. Access: agent. Body: binary. Response: json.

ParameterLocationRequiredType
filenamequerynostring

upload-content-to-mxc#

PUT /_matrix/media/v3/upload/{serverName}/{mediaId}

Native operation: uploadContentToMXC. Access: agent. Body: binary. Response: json.

ParameterLocationRequiredType
serverNamepathyesstring
mediaIdpathyesstring
filenamequerynostring

upload-cross-signing-keys#

POST /_matrix/client/v3/keys/device_signing/upload

Native operation: uploadCrossSigningKeys. Access: unsupported. Body: required. Response: json.

upload-cross-signing-signatures#

POST /_matrix/client/v3/keys/signatures/upload

Native operation: uploadCrossSigningSignatures. Access: unsupported. Body: required. Response: json.

upload-keys#

POST /_matrix/client/v3/keys/upload

Native operation: uploadKeys. Access: unsupported. Body: required. Response: json.